Bill Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Header Request

Accept : application/json
Content-Type: application/json
secret : Unique secret key (Provided by Pay2New)

Request Parameters

ParametersTypeTypeDescription
number StringM Bill Number
amount numberMTransaction Amount
product_code numberMOperator Code
request_id StringMYour Unique Transaction Id
bill_fetch_ref StringOBill Fetch Reference Number
pan_numberStringOCustomer PAN number (amount above 49999 mandatory)
optional1 StringOIf the value is available in the operator code page
optional2 StringOIf the value is available in the operator code page
optional3 StringOIf the value is available in the operator code page
optional4 StringOIf the value is available in the operator code page
optional5 StringOIf the value is available in the operator code page
customer_number numberMThe mobile number of the agent
pincode StringMPostal code of the agent
latitude StringMLatitude of the device – Represented in
degrees with 4 digits after the decimal
longitude StringMlongitude of the device – Represented in
degrees with 4 digits after the decimal
ipStringMAgent Device IPV4 address
outletIdStringMProvide by Pay2New

Sample Request For Utility Payment

curl --request POST \
     --url https://pay2new.in/apis/v1/billPayment \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'secret: Unique secret key' \
     --data '
{
     "number": "1234567890",
     "amount": 100,
     "product_code": "81",
     "request_id": "ABC123456789",
     "bill_fetch_ref":"P2N545454545445FFD",
		 "pan_number":"ASDFG1234A",
     "optional1": "1234",
     "optional2": "",
     "optional3": "",
     "optional4": "",
     "customer_number": "9876543210",
     "pincode": "414003",
     "latitude": "19.1258",
     "longitude": "74.7453",
     "ip": "30.169.159.167",
     "outletId":"2"
     
}
'
POST /apis/v1/billPayment HTTP/1.1
Accept: application/json
Content-Type: application/json
Secret: Unique secret key
Host: pay2new.in
Content-Length: 255

{ "number": "1234567890", "amount": "100", "product_code": "81", "request_id": "ABC123456789", "bill_fetch_ref": "P2N545454545445FFD", "optional1": "1234", "optional2": "", "optional3": "", "optional4": "", "customer_number": "9876543210", "pincode": "414003", "latitude": "19.1258", "longitude": "74.7453", "ip": "30.169.159.167", "outletId": "2" }

Response Parameters

NameTypeDescription
statusIntegerPay2New Transaction Status
order_idStringPay2New Txn ID
request_idStringYour Unique Transaction ID
messageStringTransaction Message
operator_referenceStringOperator Transaction Ref ID
numberStringBill Number
amountStringTransaction Amount
balanceStringRemaining Wallet Balance

Sample Response

{
  "status": 1,
  "order_id": "P2F16XXX376XM3RZ",
  "request_id": "P2N54544444545",
  "message": "Transaction Success",
  "operator_reference": "REF1658828376",
  "number": "123456",
  "amount": "100",
  "balance": "9313.67"
}
Body Params
json
Defaults to { "number":"1234567890", "amount":"100", "product_code":"81", "request_id":"ABC123456789", "bill_fetch_ref":"P2N545454545445FFD", "pan_number":"ASDFG1234A", "optional1":"1234", "optional2":"", "optional3":"", "optional4":"", "customer_number":"9876543210", "pincode":"414003", "latitude":"19.1258", "longitude":"74.7453", "ip":"30.169.159.167", "outletId":"2" }
Headers
string
Defaults to Unique secret key

(Provided by Pay2New)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json